import Rosetta from '@s-ui/i18n';
import Polyglot from '@s-ui/i18n/lib/adapters/polyglot';
var DEFAULT_CULTURE = 'es-ES';
var DEFAULT_CURRENCY = 'EUR';

var initRosseta = function initRosseta(literals, config) {
  if (config === void 0) {
    config = {};
  }

  var i18n = new Rosetta({
    adapter: new Polyglot()
  });
  i18n.languages = literals;
  i18n.culture = config.culture || DEFAULT_CULTURE;
  i18n.currency = config.currency || DEFAULT_CURRENCY;
  return i18n;
};

export default (function (_ref) {
  var literalsUseCase = _ref.literalsUseCase,
      dictionary = _ref.dictionary,
      config = _ref.config;
  return literalsUseCase ? literalsUseCase.execute().then(function (literals) {
    return initRosseta(literals, config);
  }) : new Promise(function (resolve) {
    return resolve(initRosseta(dictionary, config));
  });
});